## mipp 0.9.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mipp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mipp.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mipp (0.9.1-2build1) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 01:05:55 -0600

mipp (0.9.1-2) unstable; urgency=high

  * Fix missing dependency in debian/tests/control
  * New patch: fix test issue on i386, backport from upstream
    (Closes: #769237).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Nov 2014 10:54:06 +0000

mipp (0.9.1-1) unstable; urgency=low

  * Initial release (Closes: #753054)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Jun 2014 19:25:20 +0000

=== debian/control ===
Source: mipp
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 9.0.0),
               dh-python,
               python-setuptools,
               python-all,
               python-sphinx,
               python-lxml,
               python-gdal,
               python-pyresample
Standards-Version: 3.9.5
Homepage: https://github.com/loerum/mipp/tree/master/mipp
Vcs-Git: http://anonscm.debian.org/git/pkg-grass/mipp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mipp.git;a=summary
XS-Testsuite: autopkgtest

Package: python-mipp
Architecture: all
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends},
         python-lxml,
         python-gdal,
         python-pyresample
Suggests: python-mpop
Description: Meteorological data Ingest-Processing Package (mipp)
 It's main task is to convert low level satellite data into a format
 understood by mpop (http://github.com/mraspaud/mpop).
 The primary purpose is to support Geostationary satellite data
 (level 1.5) but there is also support for the reading of some polar
 orbiting SAR data.
 .
 A more sophisticated interface to satellite data objects is supported
 by mpop.
 .
 Currently it handles data from all current Meteosat Second Generation
 (MSG) satellites, Meteosat 7, GOES 11-15, MTSAT's, and GOMS, all a
 retrieved via EUMETCast.
 .
 In addition mipp handles Synthetic Apperture Radar (SAR) data from
 Terrscan-X, Cosmo-Sky Med, and Radarsat 2.
 .
 This package is part of the PyTroll toolset.

Package: python-mipp-test
Architecture: all
Depends: ${shlibs:Depends},
         ${python:Depends},
         ${misc:Depends},
         python-mipp
Description: Meteorological data Ingest-Processing Package (test suite)
 It's main task is to convert low level satellite data into a format
 understood by mpop (http://github.com/mraspaud/mpop).
 The primary purpose is to support Geostationary satellite data
 (level 1.5) but there is also support for the reading of some polar
 orbiting SAR data.
 .
 A more sophisticated interface to satellite data objects is supported
 by mpop.
 .
 Currently it handles data from all current Meteosat Second Generation
 (MSG) satellites, Meteosat 7, GOES 11-15, MTSAT's, and GOMS, all a
 retrieved via EUMETCast.
 .
 In addition mipp handles Synthetic Apperture Radar (SAR) data from
 Terrscan-X, Cosmo-Sky Med, and Radarsat 2.
 .
 This package contains the test suite (and related data) for mipp.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY2VERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2,sphinxdoc --buildsystem=python_distutils


override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	$(MAKE) -C doc html


override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		env PYTHONPATH=. python$$py -m unittest discover -v tests; \
	done
endif


override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	$(RM) -r mipp.egg-info
	$(MAKE) -C doc clean


.PHONY: override_dh_auto_build, override_dh_autoclean, override_dh_auto_test

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/loerum/mipp/ v(.*)\.tar\.gz

## mipp 0.10.0

=== debian/changelog ===
mipp (0.10.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/rules
    - enable parallel build
  * debian/patches
    - drop 0001-skip-tsx-metadata-test.patch and
      0003-Fix-test-issue-on-i386.patch (applied upstream)
    - refresh remaining patches
    - new 0002-fix-metadata.patch to fix metadata in test files
      (see also https://github.com/pytroll/mipp/issues/8)
  * debian/copyright
    - fix DEP-5 URL
    - update copyright file for new upstream release
  * debian/control
    - standard version bumped to 3.9.8 (no change)

  [ Bas Couwenberg ]
  * Update copyright file, changes:
    - Update copyright years for Lars Orum Rasmussen
    - Drop .0 from GPL license shortname
  * Drop buildsystem option from dh_auto_* commands, set globally already.
  * Remove executable bit from test data.
  * Fix unused substitution variable warnings:
    - Drop ${shlibs:Depends} for Architecture: all packages
    - Add ${sphinxdoc:Depends} to python-mipp

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Aug 2016 17:46:41 +0000

mipp (0.9.1-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * Fix debian/watch file
  * debian/gbp.conf added
  * debian/control
    - standard version bymped to 3.9.7 (no change)
    - VCS URLs updated 
  * debian/rules
    - switch to pybuild

  [ Bas Couwenberg ]
  * Update watch file to handle common issues.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Feb 2016 11:48:52 +0000

## mipp 1.0.0

=== debian/changelog ===
mipp (1.0.0-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Strip trailing whitespace from changelog.
  * Fix deprecated source override location.

  [ Antonio Valentino ]
  * Standard version bumped to 4.1.3 (no change).
  * Set compat to 11.
  * debian/reules
    - remove unnecessary dh argument (--parallel)
  * Add upstream metadata.
  * Install examples

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Mar 2018 09:00:34 +0000

mipp (1.0.0-2) unstable; urgency=medium

  * standard version bumped to 4.1.0 (no change)
  * debian/control
    - remove un-necessary "Testsuite: autopkgtest"
    - do not depend on python-sphinx only
  * debian/patches
    - new 0003-fix-None-checking.patch: use "is" instead of the "=="
      operator to check if a parameter is None
  * new debian/source.lintian-overrides file.
    Suppress python-foo-but-no-python3-foo python-mipp and
    python-foo-but-no-python3-foo python-mipp-test: mipp only
    supports Python 2

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Sep 2017 15:30:18 +0000

mipp (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0002-fix-metadata.patch applied upstream
    - new 0002-Fix-configuration-loading.patch: configuration
      file namess are all lowercase
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 01 Nov 2016 09:37:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: mipp
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Build-Depends: debhelper (>= 9.0.0),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-setuptools,
                python-all,
                python-sphinx,
+               python3-sphinx,
                python-lxml,
                python-gdal,
                python-pyresample
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mipp.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mipp.git
 Homepage: https://github.com/loerum/mipp/tree/master/mipp
-Vcs-Git: http://anonscm.debian.org/git/pkg-grass/mipp.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/mipp.git;a=summary
-XS-Testsuite: autopkgtest
 
 Package: python-mipp
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${python:Depends},
+Depends: ${python:Depends},
+         ${sphinxdoc:Depends},
          ${misc:Depends},
          python-lxml,
          python-gdal,
@@ -47,8 +47,7 @@
 
 Package: python-mipp-test
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${python:Depends},
+Depends: ${python:Depends},
          ${misc:Depends},
          python-mipp
 Description: Meteorological data Ingest-Processing Package (test suite)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


export PYBUILD_NAME=mipp
export PYBUILD_TEST_ARGS=tests


%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C doc html


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r mipp.egg-info
	$(MAKE) -C doc clean


override_dh_install:
	dh_install --list-missing
	chmod 0644 debian/*/usr/share/python-mipp-test/data/*

=== debian/tests/control ===
Tests: python2
Depends: @builddeps@, python-mipp, python-mipp-test

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|mipp)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/mipp-$1.$2/ \
https://github.com/pytroll/mipp/releases \
(?:.*?/)?(?:rel|v|mipp)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mipp 1.1.0

=== debian/changelog ===
mipp (1.1.0-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches
    - refresh all patches
    - new 0004-Relax-tests-on-metadata.patch: temporary relax tests
      on metadata (see also https://github.com/pytroll/mipp/issues/13).

  [ Bas Couwenberg ]
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from rules file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Jul 2018 07:12:29 +0000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                python-lxml,
                python-gdal,
                python-pyresample
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mipp.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mipp.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mipp
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mipp.git
 Homepage: https://github.com/loerum/mipp/tree/master/mipp
 
 Package: python-mipp

=== debian/rules ===
--- 
+++ 
@@ -27,5 +27,3 @@
 override_dh_install:
 	dh_install --list-missing
 	chmod 0644 debian/*/usr/share/python-mipp-test/data/*
-
-
